Change iproute source location, and verify ubuntu version. draft default tip
authorfrederic.urbani@inria.fr
Thu, 21 Mar 2013 17:58:17 +0100
changeset 15 264478a60960
parent 14 ec40cbed4638
Change iproute source location, and verify ubuntu version.
bake_usenix.conf
do_all.sh
--- a/bake_usenix.conf	Mon Feb 18 15:15:33 2013 +0100
+++ b/bake_usenix.conf	Thu Mar 21 17:58:17 2013 +0100
@@ -53,7 +53,7 @@
 
     <module name="iproute">
       <source type="archive">
-	<attribute name="url" value="http://www.linuxgrill.com/anonymous/iproute2/NEW-OSDL/iproute2-2.6.38.tar.bz2"/>
+	<attribute name="url" value="http://pkgs.fedoraproject.org/repo/pkgs/iproute/iproute2-2.6.38.tar.bz2/e635da2936aa0842ec8b9ff0bc088f82/iproute2-2.6.38.tar.bz2"/>
       </source>
       <depends_on name="libdb4-dev" optional="False"/>
       <depends_on name="bison" optional="False"/>
--- a/do_all.sh	Mon Feb 18 15:15:33 2013 +0100
+++ b/do_all.sh	Thu Mar 21 17:58:17 2013 +0100
@@ -1,6 +1,22 @@
 #!/bin/bash
+if [ -f /etc/issue ] 
+then
+  VERSION=$(awk '/Ubuntu 12.04/' /etc/issue | sed 's/Ubuntu //' )
+  echo $VERSION
+  if [ "$VERSION" == '' ]]
+  then
+	read -p "Version not supported (Ubuntu 12.04 needed). Do you want continue? " -n 1
+	if [[ ! $REPLY =~ ^[Yy]$ ]]
+	then
+	    echo ' Interrupted'
+	    exit 1
+	fi
+  fi
+fi
+echo ' ok'
+
 H=$PWD
-./do_install.sh
+./do_install.sh | tee install.log
 cd $H
-./do_bench.sh
+./do_bench.sh | tee bench.log